Feature:VB
@胡伟明

AutoCAD二次开发教程(7)-通过VB6创建填充

1:实体填充 完整代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Application.17.1") Set docObj = acadApp.Application.Doc ...
  • 0
  • 789
  • 0
  • 3
@胡伟明

AutoCAD二次开发教程(6)-通过VB6绘制辅助线

1:绘制构造线 代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Application.17.1") Set docObj = acadApp.Application.Docum ...
  • 0
  • 595
  • 0
  • 2
@胡伟明

AutoCAD二次开发教程(5)-通过VB6设置文档窗口

本次我们通过VB来设置文档窗口,文档窗口就是我们绘制图形的黑色区域。 1:设置文档大小 代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject ...
  • 0
  • 749
  • 0
  • 4
@胡伟明

TextBox拼接字符与变量

将常量与变量拼接后一起显示,示例代码如下: TextBox1="Hu" & a & "Wei" & b & "ming" Hu,Wei,ming为字符,a与b为变量,也就是字符写在""中,变量写在&  &中,假如a与b分别是100与200,那么最后显示为: Hu100Wei ...
  • 0
  • 638
  • 0
  • 0
@胡伟明

WPF窗口不在任务栏显示

在.xaml添加代码,不添加默认是显示的。 ShowInTaskbar="False" 隐藏WPF窗口使用代码: Me.Visibility = Visibility.Hidden  
  • 0
  • 563
  • 0
  • 0
@胡伟明

WPF如何添加关闭事件

在.xaml开头添加关闭响应,后台编写相应的关闭响应事件。 直接输入closed=之后会自动提示新建关闭响应事件,直接点击之后后台代码会自动添加关闭响应事件。 后台(.xaml.vb)自动添加的代码如下: Private Sub Window_Closed(sender As ...
  • 0
  • 480
  • 0
  • 1
@胡伟明

WPF窗口打开时使其位于屏幕中央

只需要在.xaml的开头文件,也就是<Window x:Class="Window1"之后,加入下面的语句: WindowStartupLocation="CenterScreen" 下图所示位置: 这样窗口打开就会在屏幕中央打开了。    
  • 0
  • 544
  • 0
  • 1
@胡伟明

WPF中响应事件如何通过一个WPF窗口打开另外一个WPF窗口

首先在需要打开的地方定义事件,比如通过按钮点击后打开另外一个WPF窗口。 开发环境:Visual Studio 2022 语言:VB.net 首先添加一个WPF窗口,名字自动标识为window1,当然可以根据需要修改,但后面的代码也需要相应的作修改。 在 ...
  • 0
  • 571
  • 0
  • 1
@胡伟明

“ResolveComReference”任务返回了 false,但未记录错误。

很早之前用visual studio 2017编的一个程序,今天用visual studio 2022重新打开,编译出现错误:““ResolveComReference”任务返回了 false,但未记录错误。” 后面发现是引用的office问题,可以在“解决方案资源管理器”里的引用看到有叹号。 ...
  • 0
  • 1398
  • 0
  • 3